Subject: Re: bug#40279: 26.3; Error: you did not specify -i=mi on GDB's command line!

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 30 Oct 2020 13:19:04 +0100

William Xu <[email-masked]> writes:

> Lars Ingebrigtsen <[email-masked]> writes:
>
>> Does the `M-x gud-gdb' command work OK in the Docker use case?  That one
>> doesn't have a separate socket for the I/O.
>
> I just tested it, yes, it works well without my change. 

I think it's probably not feasible to get the gdb-mi interface working
within Docker (with Emacs on the outside), so I think the right fix here
is to just make the error message less sure of itself.

I've now done this in Emacs 28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no